Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class EnquiryBlkType

    java.lang.Object
      nz.co.cks.tms.xml.EnquiryBlkType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MessageEnquiryBlk

public abstract class EnquiryBlkType
extends java.lang.Object
implements java.io.Serializable

Class EnquiryBlkType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`EnquiryBlkType()`

Method Summary
`EnquiryItem` | `getEnquiryItem()` Method getEnquiryItemReturns the value of field 'enquiryItem'.
`EnquiryNcb` | `getEnquiryNcb()` Method getEnquiryNcbReturns the value of field 'enquiryNcb'.
`EnquiryNcbAddress` | `getEnquiryNcbAddress()` Method getEnquiryNcbAddressReturns the value of field 'enquiryNcbAddress'.
`EnquiryNcbChildren` | `getEnquiryNcbChildren()` Method getEnquiryNcbChildrenReturns the value of field 'enquiryNcbChildren'.
`EnquiryNcbParent` | `getEnquiryNcbParent()` Method getEnquiryNcbParentReturns the value of field 'enquiryNcbParent'.
`EnquiryNcbParentService` | `getEnquiryNcbParentService()` Method getEnquiryNcbParentServiceReturns the value of field 'enquiryNcbParentService'.
`EnquiryNcbService` | `getEnquiryNcbService()` Method getEnquiryNcbServiceReturns the value of field 'enquiryNcbService'.
`boolean` | `isValid()` Method isValid
`void` | `setEnquiryItem(EnquiryItem enquiryItem)` Method setEnquiryItemSets the value of field 'enquiryItem'.
`void` | `setEnquiryNcb(EnquiryNcb enquiryNcb)` Method setEnquiryNcbSets the value of field 'enquiryNcb'.
`void` | `setEnquiryNcbAddress(EnquiryNcbAddress enquiryNcbAddress)` Method setEnquiryNcbAddressSets the value of field 'enquiryNcbAddress'.
`void` | `setEnquiryNcbChildren(EnquiryNcbChildren enquiryNcbChildren)` Method setEnquiryNcbChildrenSets the value of field 'enquiryNcbChildren'.
`void` | `setEnquiryNcbParent(EnquiryNcbParent enquiryNcbParent)` Method setEnquiryNcbParentSets the value of field 'enquiryNcbParent'.
`void` | `setEnquiryNcbParentService(EnquiryNcbParentService enquiryNcbParentService)` Method setEnquiryNcbParentServiceSets the value of field 'enquiryNcbParentService'.
`void` | `setEnquiryNcbService(EnquiryNcbService enquiryNcbService)` Method setEnquiryNcbServiceSets the value of field 'enquiryNcbService'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnquiryBlkType

    public EnquiryBlkType()

Method Detail

### getEnquiryItem

    public EnquiryItem getEnquiryItem()

  Method getEnquiryItemReturns the value of field 'enquiryItem'.

  Returns:
    the value of field 'enquiryItem'.

### getEnquiryNcb

    public EnquiryNcb getEnquiryNcb()

  Method getEnquiryNcbReturns the value of field 'enquiryNcb'.

  Returns:
    the value of field 'enquiryNcb'.

### getEnquiryNcbAddress

    public EnquiryNcbAddress getEnquiryNcbAddress()

  Method getEnquiryNcbAddressReturns the value of field 'enquiryNcbAddress'.

  Returns:
    the value of field 'enquiryNcbAddress'.

### getEnquiryNcbChildren

    public EnquiryNcbChildren getEnquiryNcbChildren()

  Method getEnquiryNcbChildrenReturns the value of field 'enquiryNcbChildren'.

  Returns:
    the value of field 'enquiryNcbChildren'.

### getEnquiryNcbParent

    public EnquiryNcbParent getEnquiryNcbParent()

  Method getEnquiryNcbParentReturns the value of field 'enquiryNcbParent'.

  Returns:
    the value of field 'enquiryNcbParent'.

### getEnquiryNcbParentService

    public EnquiryNcbParentService getEnquiryNcbParentService()

  Method getEnquiryNcbParentServiceReturns the value of field 'enquiryNcbParentService'.

  Returns:
    the value of field 'enquiryNcbParentService'.

### getEnquiryNcbService

    public EnquiryNcbService getEnquiryNcbService()

  Method getEnquiryNcbServiceReturns the value of field 'enquiryNcbService'.

  Returns:
    the value of field 'enquiryNcbService'.

### isValid

    public boolean isValid()

  Method isValid

### setEnquiryItem

    public void setEnquiryItem(EnquiryItem enquiryItem)

  Method setEnquiryItemSets the value of field 'enquiryItem'.

  Parameters:
    `enquiryItem` - the value of field 'enquiryItem'.

### setEnquiryNcb

    public void setEnquiryNcb(EnquiryNcb enquiryNcb)

  Method setEnquiryNcbSets the value of field 'enquiryNcb'.

  Parameters:
    `enquiryNcb` - the value of field 'enquiryNcb'.

### setEnquiryNcbAddress

    public void setEnquiryNcbAddress(EnquiryNcbAddress enquiryNcbAddress)

  Method setEnquiryNcbAddressSets the value of field 'enquiryNcbAddress'.

  Parameters:
    `enquiryNcbAddress` - the value of field 'enquiryNcbAddress'.

### setEnquiryNcbChildren

    public void setEnquiryNcbChildren(EnquiryNcbChildren enquiryNcbChildren)

  Method setEnquiryNcbChildrenSets the value of field 'enquiryNcbChildren'.

  Parameters:
    `enquiryNcbChildren` - the value of field 'enquiryNcbChildren'.

### setEnquiryNcbParent

    public void setEnquiryNcbParent(EnquiryNcbParent enquiryNcbParent)

  Method setEnquiryNcbParentSets the value of field 'enquiryNcbParent'.

  Parameters:
    `enquiryNcbParent` - the value of field 'enquiryNcbParent'

### setEnquiryNcbParentService

    public void setEnquiryNcbParentService(EnquiryNcbParentService enquiryNcbParentService)

  Method setEnquiryNcbParentServiceSets the value of field 'enquiryNcbParentService'.

  Parameters:
    `enquiryNcbParentService` - the value of field 'enquiryNcbParentService'.

### setEnquiryNcbService

    public void setEnquiryNcbService(EnquiryNcbService enquiryNcbService)

  Method setEnquiryNcbServiceSets the value of field 'enquiryNcbService'.

  Parameters:
    `enquiryNcbService` - the value of field 'enquiryNcbService'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD